.go-up {
  animation-name: go-up;
  animation-duration: 1.5s;
}

@keyframes go-up {
  from {
    opacity: 0;
    transform: translateY(50%);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.go-left {
  animation-name: go-left;
  animation-duration: 1.5s;
}

@keyframes go-left {
  from {
    opacity: 0;
    transform: translateX(50%);
  }
  to {
    opacity: 1;
    transform: translateX(0);
  }
}

.go-right {
  animation-name: go-right;
  animation-duration: 1.5s;
}

@keyframes go-right {
  from {
    opacity: 0;
    transform: translateX(-50%);
  }
  to {
    opacity: 1;
    transform: translateX(0);
  }
}

.fade {
  animation-name: fade;
  animation-duration: 1.5s;
}

@keyframes fade {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
